### Function

# Gio dbus_is_guid

since: 2.26

#### Declaration

    gboolean
    g_dbus_is_guid (
      const gchar* string
    )

#### Description

Checks if `string` is a D-Bus GUID.

See the documentation for `g_dbus_generate_guid()` for more information about the format of a GUID.

Available since: 2.26

#### Parameters

`string`

  Type: `const gchar*`

  The string to check.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `string` is a GUID, `FALSE` otherwise.